Package com.enonic.xp.form

## Class FieldSet

- java.lang.Object
- - com.enonic.xp.form.FormItem
  - - com.enonic.xp.form.Layout
    - - com.enonic.xp.form.FieldSet

- All Implemented Interfaces:
    `Iterable<FormItem>`

      @PublicApi
      public class FieldSet
      extends Layout
      implements Iterable<FormItem>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `FieldSet.Builder` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addFormItem​(FormItem formItem)` |
    `FieldSet` | `copy()` |
    `static FieldSet.Builder` | `create()` |
    `static FieldSet.Builder` | `create​(FieldSet fieldSet)` |
    `boolean` | `equals​(Object o)` |
    `Iterable<FormItem>` | `formItemIterable()` |
    `FormItem` | `getFormItem​(String name)` |
    `FormItems` | `getFormItems()` |
    `Input` | `getInput​(String name)` |
    `String` | `getLabel()` |
    `String` | `getLabelI18nKey()` |
    `int` | `hashCode()` |
    `Iterator<FormItem>` | `iterator()` |

    - ### Methods inherited from class com.enonic.xp.form.Layout

      `getName, getType`

    - ### Methods inherited from class com.enonic.xp.form.FormItem

      `getParent, getPath, toFormItemSet, toFormOptionSet, toFormOptionSetOption, toInlineMixin, toInput, toLayout, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Method Detail

    - #### getLabel

          public String getLabel()

    - #### getLabelI18nKey

          public String getLabelI18nKey()

    - #### iterator

          public Iterator<FormItem> iterator()

      Specified by:
        `iterator` in interface `Iterable<FormItem>`

    - #### copy

          public FieldSet copy()

      Specified by:
        `copy` in class `FormItem`

    - #### addFormItem

          public void addFormItem​(FormItem formItem)

    - #### getFormItems

          public FormItems getFormItems()

    - #### getFormItem

          public FormItem getFormItem​(String name)

      Specified by:
        `getFormItem` in class `Layout`

    - #### getInput

          public Input getInput​(String name)

    - #### formItemIterable

          public Iterable<FormItem> formItemIterable()

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `FormItem`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `FormItem`

    - #### create

          public static FieldSet.Builder create()

    - #### create

          public static FieldSet.Builder create​(FieldSet fieldSet)